Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.grogra.xl.property
Interface RuntimeModel.Property

All Known Subinterfaces:
  RuntimeModel.BooleanProperty, RuntimeModel.ByteProperty, RuntimeModel.CharProperty, RuntimeModel.DoubleProperty, RuntimeModel.FloatProperty, RuntimeModel.IntProperty, RuntimeModel.LongProperty, RuntimeModel.ObjectProperty<T>, RuntimeModel.ShortProperty

All Known Implementing Classes:
  PropertyRuntime.GraphProperty, PropertyRuntimeModel.ElementProperty

Enclosing interface:
  RuntimeModel

    public static interface RuntimeModel.Property

Method Summary
`boolean` | `getBoolean(java.lang.Object object, int[] indices)`
`byte` | `getByte(java.lang.Object object, int[] indices)`
`char` | `getChar(java.lang.Object object, int[] indices)`
`double` | `getDouble(java.lang.Object object, int[] indices)`
`float` | `getFloat(java.lang.Object object, int[] indices)`
`int` | `getInt(java.lang.Object object, int[] indices)`
`long` | `getLong(java.lang.Object object, int[] indices)`
`java.lang.Object` | `getObject(java.lang.Object object, int[] indices)`
`short` | `getShort(java.lang.Object object, int[] indices)`
`java.lang.Class<?>` | `getType()`
`void` | `setBoolean(java.lang.Object object, int[] indices, boolean value)`
`void` | `setByte(java.lang.Object object, int[] indices, byte value)`
`void` | `setChar(java.lang.Object object, int[] indices, char value)`
`void` | `setDouble(java.lang.Object object, int[] indices, double value)`
`void` | `setFloat(java.lang.Object object, int[] indices, float value)`
`void` | `setInt(java.lang.Object object, int[] indices, int value)`
`void` | `setLong(java.lang.Object object, int[] indices, long value)`
`void` | `setObject(java.lang.Object object, int[] indices, java.lang.Object value)`
`void` | `setShort(java.lang.Object object, int[] indices, short value)`

Method Detail

### getBoolean

    boolean getBoolean(java.lang.Object object,
                       int[] indices)

### getByte

    byte getByte(java.lang.Object object,
                 int[] indices)

### getChar

    char getChar(java.lang.Object object,
                 int[] indices)

### getDouble

    double getDouble(java.lang.Object object,
                     int[] indices)

### getFloat

    float getFloat(java.lang.Object object,
                   int[] indices)

### getInt

    int getInt(java.lang.Object object,
               int[] indices)

### getLong

    long getLong(java.lang.Object object,
                 int[] indices)

### getObject

    java.lang.Object getObject(java.lang.Object object,
                               int[] indices)

### getShort

    short getShort(java.lang.Object object,
                   int[] indices)

### getType

    java.lang.Class<?> getType()

### setBoolean

    void setBoolean(java.lang.Object object,
                    int[] indices,
                    boolean value)

### setByte

    void setByte(java.lang.Object object,
                 int[] indices,
                 byte value)

### setChar

    void setChar(java.lang.Object object,
                 int[] indices,
                 char value)

### setDouble

    void setDouble(java.lang.Object object,
                   int[] indices,
                   double value)

### setFloat

    void setFloat(java.lang.Object object,
                  int[] indices,
                  float value)

### setInt

    void setInt(java.lang.Object object,
                int[] indices,
                int value)

### setLong

    void setLong(java.lang.Object object,
                 int[] indices,
                 long value)

### setObject

    void setObject(java.lang.Object object,
                   int[] indices,
                   java.lang.Object value)

### setShort

    void setShort(java.lang.Object object,
                  int[] indices,
                  short value)

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD